scoreboard players enable @a triggivewand

#Leave Game Spell Protection#
execute as @a[scores={leavegame2=1..}] run function custom:cooldowncont

#Spells#
tag @a[tag=!holdwand,tag=locked] remove locked
tag @a[tag=!holdwand,tag=blackprimed] remove blackprimed
scoreboard players set @a[tag=locked] magicshift 0
tag @a[tag=holdwand] remove holdwand
tag @a[tag=shieldwand] remove shieldwand
tag @a[nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{ticket:1b}}}] add holdwand
execute as @a[nbt={Inventory:[{Slot:-106b,id:"minecraft:carrot_on_a_stick",tag:{ticket:1b}}]},tag=timed] unless entity @s[tag=shrined,scores={magicshift=1..}] run tag @s add shieldwand

execute unless score spells shieldspellgo matches 1 unless score spells spellwhitego matches 1 unless score spells spellbluego matches 1 unless score spells spellredgo matches 1 unless score spells spellgreygo matches 1 unless score spells spelllimego matches 1 unless score spells spellbloodredgo matches 1 unless score spells spelldgreengo matches 1 unless score spells spellorangego matches 1 unless score spells spellpinkgo matches 1 unless score spells spellyellowgo matches 1 unless score spells spelllbluego matches 1 unless score spells spellpurplego matches 1 unless score spells spelldbluego matches 1 unless score spells spellblackgo matches 1 run scoreboard players set spells spellsgo 0
execute if entity @a[tag=holdwand,limit=1] run scoreboard players set spells spellsgo 1
execute if entity @a[nbt={Inventory:[{Slot:-106b,id:"minecraft:carrot_on_a_stick",tag:{ticket:1b}}]},limit=1] run scoreboard players set spells spellsgo 1

execute if score spells spellsgo matches 1 if entity @a[limit=1] run scoreboard players add spelltick spelltick 1
execute if score spells spellsgo matches 1 if entity @a[limit=1] if score spelltick spelltick matches 1 run function custom:spells1
execute if score spells spellsgo matches 1 if entity @a[limit=1] if score spelltick spelltick matches 2 run function custom:spells2
execute if score spells spellsgo matches 1 if entity @a[limit=1] if score spelltick spelltick matches 2 run scoreboard players set spelltick spelltick 0
execute if score spells spellsgo matches 1 if entity @a[limit=1] run function custom:spells

scoreboard players set @a[scores={magicshift=1..}] magicshift 0

#Trigger Give Wand#
tag @a[tag=havewand] remove havewand
tag @a[nbt={Inventory:[{id:"minecraft:carrot_on_a_stick",tag:{ticket:1b}}]}] add havewand
scoreboard players add @a[tag=!havewand] nowand 1
execute as @a[tag=!havewand,tag=timed,scores={nowand=50..}] at @s unless entity @e[type=pig,tag=dragonpig,distance=..1,tag=riding] run function custom:givewand
scoreboard players set @a[tag=!havewand,scores={nowand=50..}] nowand 0
scoreboard players set @a[tag=havewand] nowand 0

#Hat Sparkles#
scoreboard players set @a[tag=!sparkles] flamesparkles 0
scoreboard players add @a[tag=sparkles] flamesparkles 1
execute at @a[scores={flamesparkles=9..10}] positioned ~ ~1.8 ~ run summon area_effect_cloud ^ ^0.5 ^ {Particle:"flame",Radius:0.1f,Duration:1}
scoreboard players set @a[scores={flamesparkles=10}] flamesparkles 0
execute at @a[tag=sparkles] positioned ~ ~1.8 ~ run particle ambient_entity_effect ^ ^0.5 ^ 0 0 0 1 1 normal

#Trigger Give Ball#
tag @a[tag=havecball] remove havecball
tag @a[nbt={Inventory:[{id:"minecraft:carrot_on_a_stick",tag:{ticket:8b}}]}] add havecball
give @a[tag=!havecball,tag=!triggers,scores={shoot=1..}] minecraft:carrot_on_a_stick{display:{Name:'{"text":"Crystal Ball"}'},Unbreakable:1b,CustomModelData:10000800,ticket:8b,Enchantments:[{id:"minecraft:fortune",lvl:1s}]} 1

scoreboard players set @a shoot 0

#Item Checker#
function custom:itemchecker

#Starting#
execute unless entity @a[tag=timed] run function custom:starting

#Timer#
function custom:timer

#Recording Reminder#
execute if entity @a[tag=runreminder] run function custom:reminder

#Special#
execute as @a[scores={trigspecon=1}] run function custom:specon
execute as @a[scores={trigspecoff=1}] run function custom:specoff
#execute if entity @p[tag=timed] unless score specialoff specialtimer matches 1 run function custom:special
scoreboard players set @a trigspecon 0
scoreboard players set @a trigspecoff 0

#Flying Witches#
function custom:flyingwitches

#Ancient Mages#
function custom:ancientmages

#Endermites#
function custom:endermites

#Mooshroom#
execute as @e[type=cow,tag=] at @s run function custom:mooshroom

#Border#
#function custom:border

#Wand Changer#
function custom:wandchanger

#Falling#
execute if entity @a[tag=falling,limit=1] run function custom:falling

#Coords & Crystal Ball Names#
tag @a[tag=holdcball] remove holdcball
tag @a[nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{ticket:8b}}}] add holdcball
execute as @a[tag=!holdwand,tag=!shieldwand,tag=!holdcball] at @s unless entity @e[type=item,nbt={Item:{id:"minecraft:carrot_on_a_stick",tag:{ticket:8b}}},distance=..6] run function custom:battycoords
execute as @a[tag=holdcball] run function custom:locatorset
execute as @a[tag=holdcball,scores={locz=-9000000..}] run function custom:locator
execute as @a[tag=!holdcball] run function custom:locatorreset

#Magic Realm#
#execute in edd:magic_realm if entity @a[limit=1,distance=0..] run function custom:realm/inrealm
#tag @a[tag=realming] remove realming
#tag @a[nbt={Inventory:[{Slot:-106b,id:"minecraft:carrot_on_a_stick",tag:{ticket:8b}}]}] add realming
#scoreboard players add @a[tag=realming] realming 1
#scoreboard players set @a[tag=!realming,scores={realming=1..}] realming 0
#execute as @a[tag=realming,scores={realming=1..}] at @s if predicate custom:dimensionn run scoreboard players set @s realming 0
#execute as @a[tag=realming,scores={realming=1..}] at @s run function custom:realm/realmcharge
#execute as @a[tag=realming,scores={realming=100}] at @s run function custom:realm/realming

#Crystal Ball#
function custom:crystalball

#Shrine#
execute at @a as @e[type=area_effect_cloud,tag=shrineguy,limit=1,distance=..40] at @s run function custom:shrine/shrine

#Melee#
function custom:melee/melee




scoreboard players set @a hit 0
scoreboard players set @a locshoot 0


